<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.sms.mapper.ComVerificationMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.sys.model.ComVerification" >
    <id column="COM_VERIFICATION_ID" property="comVerificationId" jdbcType="BIGINT" />
    <result column="MOBILE" property="mobile" jdbcType="VARCHAR" />
    <result column="VERIFICATION_CODE" property="verificationCode" jdbcType="VARCHAR" />
    <result column="VERIFICATION_IP" property="verificationIp" jdbcType="CHAR" />
    <result column="COMMENTS" property="comments" jdbcType="VARCHAR" />
    <result column="CREATE_TIME" property="createTime" jdbcType="CHAR" />
    <result column="EXPIRE_TIME" property="expireTime" jdbcType="CHAR" />
    <result column="UPDATE_TIME" property="updateTime" jdbcType="CHAR" />
    <result column="IS_PASS" property="isPass" jdbcType="CHAR" />
    <result column="IS_ACTIVE" property="isActive" jdbcType="CHAR" />
    <result column="IS_DELETE" property="isDelete" jdbcType="CHAR" />
    <result column="IS_COMPLEMENT" property="isComplement" jdbcType="CHAR" />
    <result column="LANGUAGE_TYPE_ID" property="languageTypeId" jdbcType="BIGINT" />
    <result column="CHANNELID" property="channelId" jdbcType="BIGINT" />
  </resultMap>
  
  <sql id="Base_Column_List" >
    COM_VERIFICATION_ID, MOBILE, VERIFICATION_CODE, VERIFICATION_IP, COMMENTS, CREATE_TIME, 
    EXPIRE_TIME, UPDATE_TIME, IS_PASS, IS_ACTIVE, IS_DELETE, IS_COMPLEMENT, LANGUAGE_TYPE_ID
  </sql>
  
  <sql id="Example_Where_Clause" >
    <where >
      <foreach collection="example.oredCriteria" item="criteria" separator="or" >
        <if test="criteria.valid" >
          <trim prefix="(" suffix=")" prefixOverrides="and" >
            <foreach collection="criteria.criteria" item="criterion" >
              <choose >
                <when test="criterion.noValue" >
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue" >
                  and ${criterion.condition} '${criterion.value}'
                </when>
                <when test="criterion.betweenValue" >
                  and ${criterion.condition} '${criterion.value}' and '${criterion.secondValue}'
                </when>
                <when test="criterion.listValue" >
                  and ${criterion.condition}
                  <foreach collection="criterion.value" item="listItem" open="(" close=")" separator="," >
                    ${listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  
  <select id="selectComvByExample" resultMap="BaseResultMap" parameterType="Example" >
    select
    <include refid="Base_Column_List" />
    from com_verification 
    <if test="_parameter != null" >
      <include refid="Example_Where_Clause" />
    </if>
    order by EXPIRE_TIME desc
  </select>
  
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from com_verification
    where COM_VERIFICATION_ID = #{comVerificationId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from com_verification
    where COM_VERIFICATION_ID = #{comVerificationId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.sys.model.ComVerification" >
    insert into com_verification (COM_VERIFICATION_ID, MOBILE, VERIFICATION_CODE, 
      VERIFICATION_IP, COMMENTS, CREATE_TIME, 
      EXPIRE_TIME, UPDATE_TIME, IS_PASS, 
      IS_ACTIVE, IS_DELETE, IS_COMPLEMENT, 
      LANGUAGE_TYPE_ID)
    values (#{comVerificationId,jdbcType=BIGINT}, #{mobile,jdbcType=VARCHAR}, #{verificationCode,jdbcType=VARCHAR}, 
      #{verificationIp,jdbcType=CHAR}, #{comments,jdbcType=VARCHAR}, #{createTime,jdbcType=CHAR}, 
      #{expireTime,jdbcType=CHAR}, #{updateTime,jdbcType=CHAR}, #{isPass,jdbcType=CHAR}, 
      #{isActive,jdbcType=CHAR}, #{isDelete,jdbcType=CHAR}, #{isComplement,jdbcType=CHAR}, 
      #{languageTypeId,jdbcType=BIGINT})
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.sys.model.ComVerification" >
    insert into com_verification
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="comVerificationId != null" >
        COM_VERIFICATION_ID,
      </if>
      <if test="mobile != null" >
        MOBILE,
      </if>
      <if test="verificationCode != null" >
        VERIFICATION_CODE,
      </if>
      <if test="verificationIp != null" >
        VERIFICATION_IP,
      </if>
      <if test="comments != null" >
        COMMENTS,
      </if>
      <if test="createTime != null" >
        CREATE_TIME,
      </if>
      <if test="expireTime != null" >
        EXPIRE_TIME,
      </if>
      <if test="updateTime != null" >
        UPDATE_TIME,
      </if>
      <if test="isPass != null" >
        IS_PASS,
      </if>
      <if test="isActive != null" >
        IS_ACTIVE,
      </if>
      <if test="isDelete != null" >
        IS_DELETE,
      </if>
      <if test="isComplement != null" >
        IS_COMPLEMENT,
      </if>
      <if test="languageTypeId != null" >
        LANGUAGE_TYPE_ID,
      </if>
      <if test="channelId != null">
      	CHANNEL_ID,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="comVerificationId != null" >
        #{comVerificationId,jdbcType=BIGINT},
      </if>
      <if test="mobile != null" >
        #{mobile,jdbcType=VARCHAR},
      </if>
      <if test="verificationCode != null" >
        #{verificationCode,jdbcType=VARCHAR},
      </if>
      <if test="verificationIp != null" >
        #{verificationIp,jdbcType=CHAR},
      </if>
      <if test="comments != null" >
        #{comments,jdbcType=VARCHAR},
      </if>
      <if test="createTime != null" >
        #{createTime,jdbcType=CHAR},
      </if>
      <if test="expireTime != null" >
        #{expireTime,jdbcType=CHAR},
      </if>
      <if test="updateTime != null" >
        #{updateTime,jdbcType=CHAR},
      </if>
      <if test="isPass != null" >
        #{isPass,jdbcType=CHAR},
      </if>
      <if test="isActive != null" >
        #{isActive,jdbcType=CHAR},
      </if>
      <if test="isDelete != null" >
        #{isDelete,jdbcType=CHAR},
      </if>
      <if test="isComplement != null" >
        #{isComplement,jdbcType=CHAR},
      </if>
      <if test="languageTypeId != null" >
        #{languageTypeId,jdbcType=BIGINT},
      </if>
      <if test="channelId != null" >
        #{channelId,jdbcType=BIGINT},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.sys.model.ComVerification" >
    update com_verification
    <set >
      <if test="mobile != null" >
        MOBILE = #{mobile,jdbcType=VARCHAR},
      </if>
      <if test="verificationCode != null" >
        VERIFICATION_CODE = #{verificationCode,jdbcType=VARCHAR},
      </if>
      <if test="verificationIp != null" >
        VERIFICATION_IP = #{verificationIp,jdbcType=CHAR},
      </if>
      <if test="comments != null" >
        COMMENTS = #{comments,jdbcType=VARCHAR},
      </if>
      <if test="createTime != null" >
        CREATE_TIME = #{createTime,jdbcType=CHAR},
      </if>
      <if test="expireTime != null" >
        EXPIRE_TIME = #{expireTime,jdbcType=CHAR},
      </if>
      <if test="updateTime != null" >
        UPDATE_TIME = #{updateTime,jdbcType=CHAR},
      </if>
      <if test="isPass != null" >
        IS_PASS = #{isPass,jdbcType=CHAR},
      </if>
      <if test="isActive != null" >
        IS_ACTIVE = #{isActive,jdbcType=CHAR},
      </if>
      <if test="isDelete != null" >
        IS_DELETE = #{isDelete,jdbcType=CHAR},
      </if>
      <if test="isComplement != null" >
        IS_COMPLEMENT = #{isComplement,jdbcType=CHAR},
      </if>
      <if test="languageTypeId != null" >
        LANGUAGE_TYPE_ID = #{languageTypeId,jdbcType=BIGINT},
      </if>
    </set>
    where COM_VERIFICATION_ID = #{comVerificationId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.sys.model.ComVerification" >
    update com_verification
    set MOBILE = #{mobile,jdbcType=VARCHAR},
      VERIFICATION_CODE = #{verificationCode,jdbcType=VARCHAR},
      VERIFICATION_IP = #{verificationIp,jdbcType=CHAR},
      COMMENTS = #{comments,jdbcType=VARCHAR},
      CREATE_TIME = #{createTime,jdbcType=CHAR},
      EXPIRE_TIME = #{expireTime,jdbcType=CHAR},
      UPDATE_TIME = #{updateTime,jdbcType=CHAR},
      IS_PASS = #{isPass,jdbcType=CHAR},
      IS_ACTIVE = #{isActive,jdbcType=CHAR},
      IS_DELETE = #{isDelete,jdbcType=CHAR},
      IS_COMPLEMENT = #{isComplement,jdbcType=CHAR},
      LANGUAGE_TYPE_ID = #{languageTypeId,jdbcType=BIGINT}
    where COM_VERIFICATION_ID = #{comVerificationId,jdbcType=BIGINT}
  </update>
</mapper>